function [meantimes,requests] = datawhere(params)
% return meantime data where params are satisfied.

global stat_meantime stat_requests def_exp def_key def_value

found = ones(size(stat_meantime));
for r=1:size(params,1),
	key = params(r,1);
	value = params(r,2);
	for j=1:length(def_key),
		if (isequal(def_key(j),key)),
			if (~isequal(def_value(j),value)),
				found(def_exp(j)) = 0;
			end
		end
	end
end
meantimes = stat_meantime(found>0);
requests = stat_requests(found>0);
